Subject: bug#724: libfluidsynth-dev should not depend on systemd

From: Johannes Werner <[email-masked]>
Date: Mon, 14 Nov 2022 21:06:24 +0100

Package: libfluidsynth-dev
Version: 2.3.0-1
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

the package depends on systemd, which (seems) not strictly neccessary,

Problem: When installing libsdl-mixer2-dev (to build some software) it
pulls in libfluidsynth-dev. This depends on libsystemd-dev and
libsystemd0 - and this in turn collides with liblogind-compat.
This makes it difficult to develop (or test) said software on non-
systemd-systems.

To remedy I did this:
- Got the source via apt-get
- removed systemd-dependencies from debian/control (very ham-fisted, I
know)
- rebuilt package and installed it
 
Apparently this works, at least the software (Widelands) compiled
against this new package works.

I did submit this to Debian, but their maintainer closed the bug
because I am using Devuan. Not what I expected...

Best,
Johannes

-- System Information:
Distributor ID: Devuan
Description:    Devuan GNU/Linux 5 (daedalus/ceres)
Release:        5
Codename:       daedalus ceres
Architecture: x86_64

Kernel: Linux 6.0.0-2-amd64 (SMP w/12 CPU threads; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8),
LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages libfluidsynth-dev depends on:
ii  libasound2-dev                    1.2.7.2-1
ii  libdbus-1-dev                     1.14.4-1devuan1
ii  libfluidsynth3                    2.3.0-1
ii  libinstpatch-dev                  1.1.6-1
ii  libjack-jackd2-dev [libjack-dev]  1.9.21~dfsg-1
ii  libpulse-dev                      16.1+dfsg1-2+b1
ii  libreadline-dev                   8.2-1
ii  libsdl2-dev                       2.24.1+dfsg-1
ii  libsndfile1-dev [libsndfile-dev]  1.1.0-3+b1

libfluidsynth-dev recommends no packages.

libfluidsynth-dev suggests no packages.

-- no debconf information